import type { NavigationPhase } from '@microsoft/fast-router';
import { BaseRoute } from '../base';
import type { Settings } from '../types';
export declare class ResetPassword extends BaseRoute {
    hasPasswordExpired: boolean;
    passwordResetToken: string;
    connectedCallback(): Promise<void>;
    enter(phase: NavigationPhase<Settings>): Promise<void>;
    onSubmit(): Promise<void>;
    onForgotPasswordWorkflow(): Promise<void>;
    onChangePasswordWorkflow(): Promise<void>;
    get headingText(): string;
}
//# sourceMappingURL=reset-password.d.ts.map